import type { FocusableElement, HideErrorPropType, IdPropType, InputRadioAPI, InputRadioStates, InputTypeOnDefault, LabelWithExpertSlotPropType, MsgPropType, NamePropType, Orientation, RadioOptionsPropType, StencilUnknown, Stringified, SyncValueBySelectorPropType, TooltipAlignPropType, ShortKeyPropType } from '../../schema';
import type { JSX } from '../../stencil-public-runtime';
export declare class KolInputRadio implements InputRadioAPI, FocusableElement {
    private readonly host?;
    private currentValue?;
    private inputRef?;
    private readonly catchRef;
    getValue(): Promise<StencilUnknown | undefined>;
    focus(): Promise<void>;
    kolFocus(): Promise<void>;
    render(): JSX.Element;
    private readonly controller;
    _accessKey?: string;
    _alert?: boolean;
    _disabled?: boolean;
    _error?: string;
    _hideError?: boolean;
    _hideLabel?: boolean;
    _hint?: string;
    _id?: IdPropType;
    _label: LabelWithExpertSlotPropType;
    _msg?: Stringified<MsgPropType>;
    _name?: NamePropType;
    _on?: InputTypeOnDefault;
    _options?: RadioOptionsPropType;
    _orientation?: Orientation;
    _required?: boolean;
    _shortKey?: ShortKeyPropType;
    _syncValueBySelector?: SyncValueBySelectorPropType;
    _tabIndex?: number;
    _tooltipAlign?: TooltipAlignPropType;
    _touched?: boolean;
    _value?: StencilUnknown;
    state: InputRadioStates;
    private inputHasFocus;
    constructor();
    private showAsAlert;
    validateAccessKey(value?: string): void;
    validateTooltipAlign(value?: TooltipAlignPropType): void;
    validateAlert(value?: boolean): void;
    validateDisabled(value?: boolean): void;
    validateError(value?: string): void;
    validateHideLabel(value?: boolean): void;
    validateHideError(value?: HideErrorPropType): void;
    validateHint(value?: string): void;
    validateId(value?: string): void;
    validateLabel(value?: LabelWithExpertSlotPropType): void;
    validateMsg(value?: Stringified<MsgPropType>): void;
    validateName(value?: string): void;
    validateOn(value?: InputTypeOnDefault): void;
    validateOptions(value?: RadioOptionsPropType): void;
    validateOrientation(value?: Orientation): void;
    validateRequired(value?: boolean): void;
    validateShortKey(value?: ShortKeyPropType): void;
    validateSyncValueBySelector(value?: SyncValueBySelectorPropType): void;
    validateTabIndex(value?: number): void;
    validateTouched(value?: boolean): void;
    validateValue(value?: Stringified<StencilUnknown>): void;
    componentWillLoad(): void;
    private onInput;
    private onChange;
    private readonly onKeyDown;
}
